How important is safe_mod in php 5.3?

musti19

Well-Known Member
Jan 20, 2013
111
1
18
cPanel Access Level
Root Administrator
Hello,
actually safe mod is enabled by default.
But some users need safe_mod disabled, that is not possible with fastcgi for each users,?!
In php 5.3 is safe_mod deprecated, but configurable.
My question is, can safe mod a security problem if it's disabled on php 5.3?

Thank you
 

HSN-Saman

Member
Jan 11, 2013
16
0
1
cPanel Access Level
DataCenter Provider
I haven't been using the safe_mod function since years ago , If your kernel is patched and users are in jail and also PHP/Apache is hardened there wouldn't be any security issue because safe_mod is disabled on your PHP .
 
Last edited:

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,913
2,201
363
Hello :)

This feature is deprecated as of PHP 5.3.0 and removed as of PHP 5.4.0. You should use alternative methods for increased security instead of using this feature.

Thank you.